List compliance profiles
curl --request GET \
--url https://api.anchorage-staging.com/v4/compliance-profiles \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/compliance-profiles"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/compliance-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"customers": [
{
"cifProfileId": "<string>",
"role": "PRIMARY"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"signers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"type": "JOINT",
"taxType": "IRA",
"updatedAt": "2019-01-02T12:34:56.000Z"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List compliance profiles
Permissions required: Read Accounts
List compliance profiles.
GET
/
compliance-profiles
List compliance profiles
curl --request GET \
--url https://api.anchorage-staging.com/v4/compliance-profiles \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/compliance-profiles"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/compliance-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"customers": [
{
"cifProfileId": "<string>",
"role": "PRIMARY"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"signers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"type": "JOINT",
"taxType": "IRA",
"updatedAt": "2019-01-02T12:34:56.000Z"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Query Parameters
Was this page helpful?